Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry
Interface NetworkListener

public interface NetworkListener

Represents a listener to pastry network activity

Version:
  $Id: NetworkListener.java 2834 2005-12-13 14:14:38Z jeffh $
Author:
  Peter Druschel

Field Summary
`static int` | `REASON_ACC_BOOTSTRAP` DESCRIBE THE FIELD
`static int` | `REASON_ACC_NORMAL` DESCRIBE THE FIELD
`static int` | `REASON_ACC_SR` DESCRIBE THE FIELD
`static int` | `REASON_BOOTSTRAP` DESCRIBE THE FIELD
`static int` | `REASON_NORMAL` DESCRIBE THE FIELD
`static int` | `REASON_SR` DESCRIBE THE FIELD
`static int` | `TYPE_SR_TCP` DESCRIBE THE FIELD
`static int` | `TYPE_SR_UDP` DESCRIBE THE FIELD
`static int` | `TYPE_TCP` DESCRIBE THE FIELD
`static int` | `TYPE_UDP` DESCRIBE THE FIELD

Method Summary
`void` | `channelClosed(java.net.InetSocketAddress addr)` DESCRIBE THE METHOD
`void` | `channelOpened(java.net.InetSocketAddress addr, int reason)` DESCRIBE THE METHOD
`void` | `dataReceived(java.lang.Object message, java.net.InetSocketAddress address, int size, int type)` DESCRIBE THE METHOD
`void` | `dataSent(java.lang.Object message, java.net.InetSocketAddress address, int size, int type)` DESCRIBE THE METHOD

Field Detail

### TYPE_UDP

    public static final int TYPE_UDP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_TCP

    public static final int TYPE_TCP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_SR_UDP

    public static final int TYPE_SR_UDP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_SR_TCP

    public static final int TYPE_SR_TCP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_NORMAL

    public static final int REASON_NORMAL

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_SR

    public static final int REASON_SR

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_BOOTSTRAP

    public static final int REASON_BOOTSTRAP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_NORMAL

    public static final int REASON_ACC_NORMAL

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_SR

    public static final int REASON_ACC_SR

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_BOOTSTRAP

    public static final int REASON_ACC_BOOTSTRAP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Method Detail

### channelOpened

    public void channelOpened(java.net.InetSocketAddress addr,
                              int reason)

  DESCRIBE THE METHOD

  Parameters:
    `addr` - DESCRIBE THE PARAMETER
    `reason` - DESCRIBE THE PARAMETER

### channelClosed

    public void channelClosed(java.net.InetSocketAddress addr)

  DESCRIBE THE METHOD

  Parameters:
    `addr` - DESCRIBE THE PARAMETER

### dataSent

    public void dataSent(java.lang.Object message,
                         java.net.InetSocketAddress address,
                         int size,
                         int type)

  DESCRIBE THE METHOD

  Parameters:
    `message` - DESCRIBE THE PARAMETER
    `address` - DESCRIBE THE PARAMETER
    `size` - DESCRIBE THE PARAMETER
    `type` - DESCRIBE THE PARAMETER

### dataReceived

    public void dataReceived(java.lang.Object message,
                             java.net.InetSocketAddress address,
                             int size,
                             int type)

  DESCRIBE THE METHOD

  Parameters:
    `message` - DESCRIBE THE PARAMETER
    `address` - DESCRIBE THE PARAMETER
    `size` - DESCRIBE THE PARAMETER
    `type` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.